# meds/runtime.py
#
#

""" Not Your Will. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from meds.helpers.opts import make_opts, opts_defs
from meds.helpers.other import hello, error
from meds.scheduler import Dispatcher
from meds.log import init
from meds.plugs import Plugs
from meds.cfg import cfg_kernel
from meds import Thing

import logging
import sys
import os

def medspath():
    for path in sys.path:
        if "meds" in path and "egg" in path: yield path  

## Hemel

class Kernel(Plugs):

    def boot(zelf, *args, **kwargs):
        opts, arglist = make_opts(opts_defs)
        cfg.update(cfg_kernel)
        cfg.update(vars(opts))
        cfg.runargs = arglist
        cfg.shell = True
        if arglist: cfg.shell = False
        if cfg.shell and args: hello(*args, **kwargs)
        init(cfg.loglevel)
        if cfg.loglevel != "error":
            print("\n".join(sorted(cfg.show())))
            print("path=%s" % ", ".join(list(medspath()))) 
            print("")
        for package in cfg.packages:
            try: plugs.load(package)
            except: error()
        plugs.init(cfg.init)
        zelf.ready()
        return zelf

    def shutdown(zelf, *args, **kwargs): logging.warn("# shutdown")

## DEFINITIES

kernel = Kernel()
plugs = Plugs()
cfg = Thing()
fleet = []
