#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='meds',
    version='13',
    url='https://pikacode.com/bthate/meds2',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description=""" medicine effect registration program. """,
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["beautifulsoup4", "sleekxmpp", "feedparser"],
    scripts=["bin/meds", "bin/meds-docs", "bin/meds-test", "bin/meds-local", "bin/meds-sed"],
    packages=['meds',
              'meds.bots',
              'meds.extra',
              'meds.helpers',
              'meds.plugs',
             ],
     long_description = """ 

The medicine of today require that one registers the side-effects of your
medicine yourself. A doctor will not warn you for what side-effects to look
for and and, as a result, you will not know whether symptoms are the result
of your illness or the result of the medicine. Today one has to read from
your behaviour what your disease is and conclude a diagnose based on that
behaviour. Most of the time this is trial and error diagnosing, where one
has to see what effects the medicine has on the patient.

This program one can use to monitor your condition over a longer period of
time.

The purpose is to wait patiently for a nano part blood measure device that
can give insight in whether hormones or neurotransmitters are available in
the blood and what amounts result into normal behaviour.

The purpose is to have diagnose based on measurement instead of
observation of behaviour.

Instead of waiting to act until there is reason to act, or doing nothing when there is reason to act.

Treating people at home instead of the hospital makes the situation a
different one. A refusal for care has the effect that the change of
committing suicide increases. Forcing drugs and not measuring the bloodlevels in the blood is the crime here.

1) medicine above a certain level becomes toxic.
2) not measuring the level does not alert whether current condition of the patient is due to toxidity.
3) a too long a period of toxidity is the cause of death.

""", 
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
